package com.tencent.mm.plugin.appbrand.jsapi.live;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.rtmp.ITXLiveBaseListener;

class j$1 implements ITXLiveBaseListener {
    j$1() {
    }

    public final void OnLog(int i, String str, String str2) {
        AppMethodBeat.i(96128);
        switch (i) {
            case 0:
                ab.v(str, str2);
                AppMethodBeat.o(96128);
                return;
            case 1:
                ab.d(str, str2);
                AppMethodBeat.o(96128);
                return;
            case 2:
                ab.i(str, str2);
                AppMethodBeat.o(96128);
                return;
            case 3:
                ab.w(str, str2);
                AppMethodBeat.o(96128);
                return;
            case 4:
                ab.e(str, str2);
                AppMethodBeat.o(96128);
                return;
            case 5:
                ab.f(str, str2);
                AppMethodBeat.o(96128);
                return;
            default:
                ab.d(str, str2);
                AppMethodBeat.o(96128);
                return;
        }
    }
}
